| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class MethodInfo

    java.lang.Object
      |
      +--MethodInfo

public class MethodInfo
extends java.lang.Object

Field Summary
`private short` | `access_flags`
`private de.dhbwstuttgart.typeinference.Menge` | `attributes`
`private short` | `descriptor_index`
`private short` | `name_index`

Constructor Summary
`MethodInfo()`

Method Summary
`void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` | `get_access_flags()`
`de.dhbwstuttgart.typeinference.Menge` | `get_attributes()`
`short` | `get_descriptor_index()`
`short` | `get_name_index()`
`void` | `set_access_flags(short t)`
`void` | `set_attributes(de.dhbwstuttgart.typeinference.Menge t)`
`void` | `set_descriptor_index(short t)`
`void` | `set_name_index(short t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### access_flags

    private short access_flags

### name_index

    private short name_index

### descriptor_index

    private short descriptor_index

### attributes

    private de.dhbwstuttgart.typeinference.Menge attributes

Constructor Detail

### MethodInfo

    public MethodInfo()

Method Detail

### get_access_flags

    public short get_access_flags()

### get_name_index

    public short get_name_index()

### get_descriptor_index

    public short get_descriptor_index()

### get_attributes

    public de.dhbwstuttgart.typeinference.Menge get_attributes()

### set_access_flags

    public void set_access_flags(short t)

### set_name_index

    public void set_name_index(short t)

### set_descriptor_index

    public void set_descriptor_index(short t)

### set_attributes

    public void set_attributes(de.dhbwstuttgart.typeinference.Menge t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)
                 throws JVMCodeException

    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD